Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp
Class DefaultResult

    java.lang.Object
      tle.framework.component.impl.rp.DefaultResult

All Implemented Interfaces:
  Result

    public class DefaultResult

extends java.lang.Object
implements Result

Result의 구현 클래스.

Since:
  2.0
Author:
  최범균

Constructor Summary
`DefaultResult(java.lang.String commandID)` 생성시 관련 명령어ID를 전달받는다.

Method Summary
`void` | `addErrorMessage(java.lang.String message)` 에러 메시지를 추가한다.
`void` | `copyDataTo(HttpSession session)` Result에 저장된 <키,값> 데이터를 request에 복사한다.
`java.lang.String` | `getCode()` setCode()로 전달받은 결과 코드를 리턴한다.
`java.lang.String` | `getCommandID()` 이 결과와 관련된 명령어 ID
`java.lang.Object` | `getData(java.lang.String name)` dataMap으로부터 name에 해당하는 값을 리턴한다.
`java.lang.String[]` | `getErrorMessage()` addErrorMessage() 메소드로 추가한 에러 메시지의 배열을 리턴한다.
`java.lang.Throwable` | `getException()` setException() 메소드로 지정한 예외 객체를 리턴한다.
`RequestInfo` | `getRequestInfo()` 이 Result와 연관된 RequestInfo를 리턴한다.
`boolean` | `isErrorOccured()` 처리 과정에서 예외가 발생했는 지의 여부를 검사한다.
`void` | `setCode(java.lang.String code)` 결과 코드를 지정한다.
`void` | `setData(java.lang.String name, java.lang.Object value)` <name, value> 쌍을 저장한다.
`void` | `setErrorOccured(boolean b)` 에러가 발생했는지의 여부를 지정한다.
`void` | `setException(java.lang.Throwable e)` 요청을 처리하는 과정에서 발생한 예외를 지정한다.
`(package private) void` | `setRequestInfo(RequestInfo requestInfo)` DefaultRequestProcessor.process() 메소드에서 CommandHandler.process() 메소드에 전달하기 전에 이 메소드를 호출해서 DefaultResult에 RequestInfo를 전달한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResult

    public DefaultResult(java.lang.String commandID)

  생성시 관련 명령어ID를 전달받는다.

  Parameters:
    `commandID` -

Method Detail

### getCommandID

    public java.lang.String getCommandID()

  Description copied from interface: `Result`
  이 결과와 관련된 명령어 ID

  Specified by:
    `getCommandID` in interface `Result`
  Returns:
    명령어 ID
  See Also:
    `Result.getCommandID()`

### setCode

    public void setCode(java.lang.String code)

  결과 코드를 지정한다.

  Parameters:
    `code` -

### getCode

    public java.lang.String getCode()

  setCode()로 전달받은 결과 코드를 리턴한다.

  Specified by:
    `getCode` in interface `Result`
  Returns:
    결과 코드
  See Also:
    `Result.getCode()`

### setData

    public void setData(java.lang.String name,
                        java.lang.Object value)

  <name, value> 쌍을 저장한다.

  Parameters:
    `name` -
    `value` -

### getData

    public java.lang.Object getData(java.lang.String name)

  dataMap으로부터 name에 해당하는 값을 리턴한다.

  Specified by:
    `getData` in interface `Result`
  Parameters:
    `name` - 데이터의 이름
  Returns:
    데이터 값
  See Also:
    `Result.getData(java.lang.String)`

### copyDataTo

    public void copyDataTo(HttpSession session)

  Description copied from interface: `Result`
  Result에 저장된 <키,값> 데이터를 request에 복사한다.

  Specified by:
    `copyDataTo` in interface `Result`

### setErrorOccured

    public void setErrorOccured(boolean b)

  에러가 발생했는지의 여부를 지정한다.

  Parameters:
    `b` -

### isErrorOccured

    public boolean isErrorOccured()

  Description copied from interface: `Result`
  처리 과정에서 예외가 발생했는 지의 여부를 검사한다.

  Specified by:
    `isErrorOccured` in interface `Result`
  Returns:
    예외가 발생했을 경우 true를 리턴
  See Also:
    `Result.isErrorOccured()`

### setException

    public void setException(java.lang.Throwable e)

  요청을 처리하는 과정에서 발생한 예외를 지정한다.

  Parameters:
    `e` -

### getException

    public java.lang.Throwable getException()

  setException() 메소드로 지정한 예외 객체를 리턴한다.

  Specified by:
    `getException` in interface `Result`
  Returns:
    내부 처리 과정에서 발생한 예외 객체. 예외가 발생하지 않았다면 null을 리턴.
  See Also:
    `Result.getException()`

### addErrorMessage

    public void addErrorMessage(java.lang.String message)

  에러 메시지를 추가한다.

  Parameters:
    `messsage` -

### getErrorMessage

    public java.lang.String[] getErrorMessage()

  addErrorMessage() 메소드로 추가한 에러 메시지의 배열을 리턴한다. 존재하지 않을 경우 길이가 null을 리턴한다.

  Specified by:
    `getErrorMessage` in interface `Result`
  Returns:
    에러 메시지 목록. 에러가 발생하지 않았다면 null이나 길이가 0을 배열을 리턴
  See Also:
    `Result.getErrorMessage()`

### setRequestInfo

    void setRequestInfo(RequestInfo requestInfo)

  DefaultRequestProcessor.process() 메소드에서 CommandHandler.process() 메소드에 전달하기 전에 이 메소드를 호출해서 DefaultResult에 RequestInfo를 전달한다.

  Parameters:
    `requestInfo` -

### getRequestInfo

    public RequestInfo getRequestInfo()

  Description copied from interface: `Result`
  이 Result와 연관된 RequestInfo를 리턴한다.

  Specified by:
    `getRequestInfo` in interface `Result`
  Returns:
    RequestInfo
  See Also:
    `Result.getRequestInfo()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD